<?php

namespace Src\Modules\Auth\Dto\Admin;

use Src\Modules\Auth\Interfaces\Dto\Admin\IFactory;
use Src\Modules\Auth\Interfaces\Dto\IFactory as IDtoFactory;

class Factory implements IFactory
{
    protected IDtoFactory $dtoFactory;

    public function setDtoFactory(IDtoFactory $factory): void
    {
        $this->dtoFactory = $factory;
    }

    public function createAdminResource(): AdminResource
    {
        $resource = new AdminResource();
        return $resource;
    }
    
    public function createAdminPersist(): AdminPersist
    {
        $persist = new AdminPersist();
        return $persist;
    }

    
}